%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		connections
Version:	3.38.1
Release:	%mkrel 2
Summary:	A remote desktop client for the GNOME desktop environment
Group:		Graphical desktop/GNOME
License:	LGPLv2+
URL:		https://wiki.gnome.org/Apps/Connections
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	gettext >= 0.19.8
BuildRequires:	meson
BuildRequires:	vala >= 0.36.0
BuildRequires:	vala-tools
BuildRequires:	yelp-tools
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	pkgconfig(glib-2.0) >= 2.52
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.22.20
BuildRequires:	pkgconfig(gtk-vnc-2.0)
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(libsecret-1)
BuildRequires:	pkgconfig(libosinfo-1.0) >= 1.1.0
BuildRequires:	pkgconfig(libsoup-2.4) >= 2.44
BuildRequires:	pkgconfig(winpr2)
BuildRequires:	itstool
BuildRequires:	appstream-util
BuildRequires:	libosinfo-vala
BuildRequires:	libxml2-utils

%description
GNOME Connections is a new app that aims to be a modern remote desktop client
for the GNOME desktop environment. Th app takes advantage of the VNC (Virtual
Network Client) and RDP (Remote Desktop Protocol) standards and lets users
connect to remote machines.

%prep
%setup -q
%autopatch -p1

%build
%meson
%meson_build

%install
%meson_install
%find_lang %{name} --with-gnome

# Remove unneeded development files
rm -rf %{buildroot}%{_includedir}/connections/

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/org.gnome.Connections.desktop

%files -f %{name}.lang
%license COPYING
%doc README.md NEWS
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/org.gnome.Connections.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.Connections.gschema.xml
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.Connections.svg
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.Connections.Devel.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.Connections-symbolic.svg
%{_datadir}/appdata/org.gnome.Connections.appdata.xml
%{_datadir}/dbus-1/services/org.gnome.Connections.service
%{_datadir}/mime/packages/org.gnome.Connections.xml


%changelog
* Thu Mar 31 2022 umeabot <umeabot> 3.38.1-2.mga9
+ Revision: 1837759
- Mageia 9 Mass Rebuild

* Mon Oct 19 2020 ovitters <ovitters> 3.38.1-1.mga8
+ Revision: 1636979
- new version 3.38.1

* Mon Sep 14 2020 ovitters <ovitters> 3.38.0-1.mga8
+ Revision: 1626529
- new version 3.38.0

* Sat Sep 12 2020 tv <tv> 3.37.91-1.mga8
+ Revision: 1624949
- package typelib
- fix filelist
- package translations
+ ovitters <ovitters>
- new version 3.37.91
- dropped merged patch 76f2946120d1a34b1ac7f8d2bad25308803e5e55.patch

* Fri Jul 24 2020 ovitters <ovitters> 3.37.2-2.mga8
+ Revision: 1608691
- add upstream patch to fix rpath
- BR appstream-util

* Tue Jul 21 2020 ovitters <ovitters> 3.37.2-1.mga8
+ Revision: 1607647
- BR gtk-vnc-2.0
- based upon gnome-boxes spec

